# Uses of Interface
nu.validator.htmlparser.common.TokenHandler

Packages that use TokenHandler
Package
Description
nu.validator.htmlparser.impl
This package contains the bulk of parser internals.

## Uses of TokenHandler in nu.validator.htmlparser.impl

Classes in nu.validator.htmlparser.impl that implement TokenHandler
Modifier and Type
Class
Description
`class`
`CoalescingTreeBuilder<T>`
A common superclass for tree builders that coalesce their text nodes.
`class`
`TreeBuilder<T>`
Fields in nu.validator.htmlparser.impl declared as TokenHandler
Modifier and Type
Field
Description
`protected final TokenHandler`
Tokenizer.`tokenHandler`
The token handler.
Constructors in nu.validator.htmlparser.impl with parameters of type TokenHandler
Modifier
Constructor
Description
``
`ErrorReportingTokenizer(TokenHandler tokenHandler)`
``
`ErrorReportingTokenizer(TokenHandler tokenHandler, boolean newAttributesEachTime)`
``
`Tokenizer(TokenHandler tokenHandler)`
The constructor.
``
`Tokenizer(TokenHandler tokenHandler, boolean newAttributesEachTime)`